import React from "react";
import ReactDOM from "react-dom";
import VersionSwitcher from "./VersionSwitcher";

const renderVersionSwitcher = (currentVersion, versions) => {
  const target = document.createElement("div");
  target.id = "version-switcher";
  document.body.appendChild(target);

  ReactDOM.render(
    <VersionSwitcher currentVersion={currentVersion} versions={versions} />,
    target
  );
};

if (
  globalThis &&
  globalThis.STYLEGUIDE_CURRENT_VERSION &&
  globalThis.STYLEGUIDE_AVAILABLE_VERSIONS
) {
  renderVersionSwitcher(
    globalThis.STYLEGUIDE_CURRENT_VERSION,
    globalThis.STYLEGUIDE_AVAILABLE_VERSIONS
  );
}

export { VersionSwitcher };
